com.h3c.util.filter

## Class StringCondition

- java.lang.Object
- - com.h3c.util.filter.StringCondition

- All Implemented Interfaces:
    Serializable

      public class StringCondition
      extends Object
      implements Serializable

  String condition.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StringCondition.Mode` Condition mode.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringCondition(String value, StringCondition.Mode mode)` Creates a new string condition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `StringCondition.Mode` | `getMode()` Gets the mode related to this condition.
    `String` | `getValue()` Gets the value associated with this condition.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringCondition

          public StringCondition(String value,
                         StringCondition.Mode mode)

      Creates a new string condition.
      Parameters:
        `value` - value to apply the condition against.
        `mode` - the mode to use the condition in.

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value associated with this condition.
      Returns:
        the condition value.

    - #### getMode

          public StringCondition.Mode getMode()

      Gets the mode related to this condition.
      Returns:
        the condition mode of operation.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.